%define ver 0.8.4
%define rel 1tr

Name: fmirror
Summary: FTP mirroring package
Version: %{ver}
Release: %{rel}
Source: ftp://ftp.sunet.se/pub/nir/ftp/utilities/fmirror/testing/%{name}-%{version}.tar.bz2
Patch0: fmirror-mandrake.patch.bz2
Patch1: fmirror-0.8.4-anonymous.patch.bz2
Patch2: fmirror-0.8.4-typofix_inman.patch.bz2
Patch3: fmirror-0.8.4-signal.patch.bz2
Patch4: fmirror-0.8.4-skip-solaris-acl.patch.bz2
Patch5: fmirror-0.8.4-maxdel.patch.bz2
Patch6: fmirror-0.8.4-eol.patch.bz2
Patch7: fmirror-0.8.4-remotez.patch.bz2
Patch8: fmirror-0.8.4-bugfix.patch.bz2
Group: Trustix Official
URL: ftp://ftp.sunet.se/pub/nir/ftp/utilities/fmirror/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
This is an FTP mirroring package; it is useful to keep in sync with
some FTP site.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure

if [ x"$SMP" != x"" ];then
	(make MAKE="make -j $SMP -k"; exit 0)
	make
else
	make
fi

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/fmirror

%changelog
* Thu Aug 18 2005 Oystein Viggen <oysteivi at trustix dot com> 0.8.4-1tr
- Initial TSL release, based on work by Mandrakesoft
